### Method

# Adw AboutDialog set_license_type

since: 1.5

#### Declaration [src]

    void
    adw_about_dialog_set_license_type (
      AdwAboutDialog* self,
      GtkLicense license_type
    )

#### Description [src]

Sets the license for `self` from a list of known licenses.

If the application’s license is not in the list, `AdwAboutDialog:license` can be used instead. The license type will be automatically set to `GTK_LICENSE_CUSTOM` in that case.

If `license_type` is `GTK_LICENSE_UNKNOWN`, no information will be displayed.

If `license_type` is different from `GTK_LICENSE_CUSTOM`. `AdwAboutDialog:license` will be cleared out.

The license description will be displayed on the Legal page, below the copyright information.

`adw_about_dialog_add_legal_section()` can be used to add license information for the application dependencies or other components.

Available since: 1.5

Sets property | `Adw.AboutDialog:license-type`

#### Parameters

`license_type`

  Type: `GtkLicense`

  The license type.